package com.persagy.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

/**
*@description:
*@author:LuoGuangyi
*@company:PersagyTechnologyCo.,Ltd
*@since:2020/10/18 001814:37
*@version:V1.0
 *{
 *     "streamId": "",
 *     "opCode": "",
 *     "content": [
 *         {
 *             "id": 1,
 *             "objId": "obj1",
 *             "itemCode": "1055",
 *             "projectId": "xxx",
 *             "name": "室内高温",
 *             "dealFunc": "point",
 *             "category": "环境报警",
 *             "level": "B",
 *             "remark": "我是备注哈",
 *             "open": 1,
 *             "condition": {
 *                 "infoCode": [
 *                     "$infoCode1",
 *                     "$infoCode1"
 *                 ],
 *                 "infoCodeId": [
 *                     {
 *                         "infoCode": "infoCode1",
 *                         "meterId": "11",
 *                         "funcId": "12"
 *                     },
 *                     {
 *                         "infoCode": "infoCode2",
 *                         "meterId": "21",
 *                         "funcId": "22"
 *                     }
 *                 ],
 *                 "trigger": "($infoCode1 > 10 && $infoCode1 < 20) && ($infoCode2 < 20)",
 *                 "end": "!($infoCode1 < 20 && $infoCode1 > 10)",
 *                 "$triggerUphold": 10,
 *                 "$endUphold": 5,
 *                 "$time": {
 *                     "type": "period",
 *                     "period": {
 *                         "$gt": "090000",
 *                         "$lt": "210000"
 *                     }
 *                 }
 *             }
 *         }
 *     ]
 * }
 *
**/
@Data
public class AlarmDefine {
    /**
     * 报警定义ID
     */
    private Long id;
    /**
     * 报警对象ID
     */
    private String objId;
    /**
     * 报警条目编码
     */
    private String itemCode;
    /**
     * 报警名称
     */
    private String name;

    /**
     * 信息点详情
     */
    private Condition condition;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
